# Billing # Profiles ## Billing Profile Details `client.billing.profiles.get(ProfileGetParamsparams, RequestOptionsoptions?): ProfileGetResponse` **get** `/accounts/{account_id}/billing/profile` Gets the current billing profile for the account. ### Parameters - `params: ProfileGetParams` - `account_id: string` Identifier ### Returns - `ProfileGetResponse` - `id?: string` Billing item identifier tag. - `account_type?: string` - `address?: string` - `address2?: string` - `balance?: string` - `card_expiry_month?: number` - `card_expiry_year?: number` - `card_number?: string` - `city?: string` - `company?: string` - `country?: string` - `created_on?: string` - `device_data?: string` - `edited_on?: string` - `enterprise_billing_email?: string` - `enterprise_primary_email?: string` - `first_name?: string` - `is_partner?: boolean` - `last_name?: string` - `next_bill_date?: string` - `payment_address?: string` - `payment_address2?: string` - `payment_city?: string` - `payment_country?: string` - `payment_email?: string` - `payment_first_name?: string` - `payment_gateway?: string` - `payment_last_name?: string` - `payment_nonce?: string` - `payment_state?: string` - `payment_zipcode?: string` - `primary_email?: string` - `state?: string` - `tax_id_type?: string` - `telephone?: string` - `use_legacy?: boolean` - `validation_code?: string` - `vat?: string` - `zipcode?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const profile = await client.billing.profiles.get({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(profile.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "b69a9f3492637782896352daae219e7d", "account_type": "type", "address": "123 Main Street", "address2": "Apt 1", "balance": "0", "card_expiry_month": 12, "card_expiry_year": 2099, "card_number": "4242424242424242", "city": "Anytown", "company": "Company", "country": "Anycountry", "created_on": "2014-03-01T12:21:59.3456Z", "device_data": "sample_data", "edited_on": "2014-03-01T12:21:59.3456Z", "enterprise_billing_email": "johndoe@gmail.com", "enterprise_primary_email": "johndoe@gmail.com", "first_name": "John", "is_partner": false, "last_name": "Doe", "next_bill_date": "2014-03-01T12:21:59.3456Z", "payment_address": "123 Main Street", "payment_address2": "Apt 1", "payment_city": "Anytown", "payment_country": "Anycountry", "payment_email": "johndoe@gmail.com", "payment_first_name": "John", "payment_gateway": "gateway", "payment_last_name": "Doe", "payment_nonce": "abc123", "payment_state": "state", "payment_zipcode": "12345", "primary_email": "johndoe@gmail.com", "state": "AnyState", "tax_id_type": "type", "telephone": "1234567899", "use_legacy": false, "validation_code": "1111", "vat": "GB123456789", "zipcode": "12345" }, "success": true } ``` ## Domain Types ### Profile Get Response - `ProfileGetResponse` - `id?: string` Billing item identifier tag. - `account_type?: string` - `address?: string` - `address2?: string` - `balance?: string` - `card_expiry_month?: number` - `card_expiry_year?: number` - `card_number?: string` - `city?: string` - `company?: string` - `country?: string` - `created_on?: string` - `device_data?: string` - `edited_on?: string` - `enterprise_billing_email?: string` - `enterprise_primary_email?: string` - `first_name?: string` - `is_partner?: boolean` - `last_name?: string` - `next_bill_date?: string` - `payment_address?: string` - `payment_address2?: string` - `payment_city?: string` - `payment_country?: string` - `payment_email?: string` - `payment_first_name?: string` - `payment_gateway?: string` - `payment_last_name?: string` - `payment_nonce?: string` - `payment_state?: string` - `payment_zipcode?: string` - `primary_email?: string` - `state?: string` - `tax_id_type?: string` - `telephone?: string` - `use_legacy?: boolean` - `validation_code?: string` - `vat?: string` - `zipcode?: string` # Usage ## Get PayGo Account Billable Usage (Beta) `client.billing.usage.paygo(UsagePaygoParamsparams, RequestOptionsoptions?): UsagePaygoResponse` **get** `/accounts/{account_id}/billing/usage/paygo` Returns billable usage data for PayGo (self-serve) accounts. When no query parameters are provided, returns usage for the current billing period. This endpoint is currently in beta and access is restricted to select accounts. ### Parameters - `params: UsagePaygoParams` - `account_id: string` Path param: Represents a Cloudflare resource identifier tag. - `from?: string` Query param: Defines the start date for the usage query (e.g., 2025-02-01). - `to?: string` Query param: Defines the end date for the usage query (e.g., 2025-03-01). ### Returns - `UsagePaygoResponse = Array` Contains the array of billable usage records. - `BillingCurrency: string` Specifies the billing currency code (ISO 4217). - `BillingPeriodStart: string` Indicates the start of the billing period. - `ChargePeriodEnd: string` Indicates the end of the charge period. - `ChargePeriodStart: string` Indicates the start of the charge period. - `ConsumedQuantity: number` Specifies the quantity consumed during this charge period. - `ConsumedUnit: string` Specifies the unit of measurement for consumed quantity. - `ContractedCost: number` Specifies the cost for this charge period in the billing currency. - `CumulatedContractedCost: number` Specifies the cumulated cost for the billing period in the billing currency. - `CumulatedPricingQuantity: number` Specifies the cumulated pricing quantity for the billing period. - `PricingQuantity: number` Specifies the pricing quantity for this charge period. - `ServiceName: string` Identifies the Cloudflare service. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.billing.usage.paygo({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response); ``` #### Response ```json { "errors": [ { "message": "message", "code": 0 } ], "messages": [ { "message": "message", "code": 0 } ], "result": [ { "BillingCurrency": "USD", "BillingPeriodStart": "2025-02-01T00:00:00Z", "ChargePeriodEnd": "2025-02-02T00:00:00Z", "ChargePeriodStart": "2025-02-01T00:00:00Z", "ConsumedQuantity": 150000, "ConsumedUnit": "Requests", "ContractedCost": 0.75, "CumulatedContractedCost": 2.25, "CumulatedPricingQuantity": 4500000, "PricingQuantity": 150000, "ServiceName": "Workers Standard" } ], "success": true } ``` ## Domain Types ### Usage Paygo Response - `UsagePaygoResponse = Array` Contains the array of billable usage records. - `BillingCurrency: string` Specifies the billing currency code (ISO 4217). - `BillingPeriodStart: string` Indicates the start of the billing period. - `ChargePeriodEnd: string` Indicates the end of the charge period. - `ChargePeriodStart: string` Indicates the start of the charge period. - `ConsumedQuantity: number` Specifies the quantity consumed during this charge period. - `ConsumedUnit: string` Specifies the unit of measurement for consumed quantity. - `ContractedCost: number` Specifies the cost for this charge period in the billing currency. - `CumulatedContractedCost: number` Specifies the cumulated cost for the billing period in the billing currency. - `CumulatedPricingQuantity: number` Specifies the cumulated pricing quantity for the billing period. - `PricingQuantity: number` Specifies the pricing quantity for this charge period. - `ServiceName: string` Identifies the Cloudflare service.